Subject: Re: [PATCH 4/5] builtin/repo: find commit with most parents

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Wed, 04 Feb 2026 00:14:07 +0100

On Tue, Feb 3, 2026, at 23:48, Junio C Hamano wrote:
> Justin Tobler <[email-masked]> writes:
>
>> Complex merge events may produce an octopus merge where the resulting
>> merge commit has more than two parents. While iterating through objects
>> in the repository for git-repo-structure, identify the commit with the
>> most parents and display it in the output.
>
> Does the size of octopus have anything more than a curiosity value?

I’m guessing this stat is inspired by git-sizer.[1][2] This is all that
the project says about “octopus”:

    * Are there other bizarre and questionable things in your repository?

        * Annotated tags pointing at one another in long chains?
        * Octopus merges with dozens of parents?
        * Commits with gigantic log messages?

It marks the max of 10 in this repo as a “one star” (*) concern
(lowest). The 66 parent commit in the Linux Kernel gets six stars.

By the way: why did this project stop doing 3+ parent merges?

🔗 1: https://lore.kernel.org/git/[email-masked]/
🔗 2: https://github.com/github/git-sizer

>
> The opposite, the commit with most direct children, might be even
> more interesting, but that may be just me.